#ifndef id0ADBCC15BA574485BF3267254090D99B
#define id0ADBCC15BA574485BF3267254090D99B

#include "primitivetypes.hpp"

namespace dk {
	template <size_t D>
	class Viewport {
	public:
		typedef Vector<CoordinateScalarType, D> coords;

		explicit Viewport ( const coords& parSize );
		Viewport ( const coords& parSize, const coords& parPos );
		~Viewport ( void ) noexcept = default;

		Viewport& operator= ( const Viewport& ) = default;

	private:
		coords m_size;
		coords m_position;
	};
} //namespace dk

#endif
