#include <iostream>
#include <fstream>
#include "test/test_tiler.hpp"

typedef dk::TileStreamer<int, 2> TileStreamerType;

///----------------------------------------------------------------------------
///----------------------------------------------------------------------------
TestTiler::TestTiler (const coords& parSize, const std::string&& parPath) :
	parent_type(parSize, TileStreamerType(TileStreamerType::StreamPtr(new std::ifstream(parPath))))
{
}

///----------------------------------------------------------------------------
///----------------------------------------------------------------------------
bool TestTiler::batch_load (const std::vector<int>& parLoad) {
	std::cout << "Would batch-load " << parLoad.size() << " elements\n";
	return true;
}

///----------------------------------------------------------------------------
///----------------------------------------------------------------------------
bool TestTiler::single_load (const int&) {
	std::cout << "Would load 1 element\n";
	return true;
}
